using Godot;

namespace Cirno.Scripts.Resources.Events;

[GlobalClass]
public abstract partial class EventResource : Resource
{
    [Export] public bool WaitForCompletion = true;
    public abstract void Init(Node2D parent);
    public abstract void Start(Node2D parent);
    public abstract void UpdateEvent(double delta);
    public abstract bool IsComplete();
}